<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" lang="" xml:lang="">
<head>
  <meta charset="utf-8" />
  <meta name="generator" content="pandoc" />
  <meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=yes" />
  <title>Cacti – Contributing</title>
  <style type="text/css">
      code{white-space: pre-wrap;}
      span.smallcaps{font-variant: small-caps;}
      span.underline{text-decoration: underline;}
      div.column{display: inline-block; vertical-align: top; width: 50%;}
  </style>
  <link rel="stylesheet" href="Cacti-Github.css" />
</head>
<body>
<h1 id="contributing">Contributing</h1>
<p>If you wish to contribute to Cacti, the process is very easy. The first step is to register for a GitHub account. Once you have a GitHub account, you then need to learn about their community guidelines and familiarize yourself with how to create a pull request. Pull requests are how we accept submissions from the community for Code and Documentation.</p>
<p>Pull requests are always created against the <strong>develop</strong> branch, unless otherwise instructed. Detailed guide on how to create Pull Requests on GitHub under <a href="Standards-Patch-Creation.html">Standards-Patch-Creation</a> section.</p>
<h2 id="code-contributions">Code Contributions</h2>
<p>There are a few key points. First, if you want a feature, or find an issue, and the forums are leading you to GitHub, create an Issue, this issue can be tagged either an enhancement or a bug. Regardless of what it is, if you think you can create a fix for that, prepare a pull request with your changes.</p>
<p>When your code is submitted, basic checks are performed to ensure that the code is runnable but this does not guarantee that it will work. Please ensure that you have been able to test your code before submitting a fix.</p>
<p>In addition to testing, please try to keep your code to Cacti's standards:</p>
<ul>
<li><p><a href="Standards-Code-Formatting.html">Code</a></p></li>
<li><p><a href="Standards-FileSystem-Layout.html">File System Layout</a></p></li>
<li><p><a href="Standards-SQL.html">SQL styling</a></p>
<p>and</p></li>
<li><p><a href="Standards-Security.html">Security</a></p></li>
</ul>
<p>You can view all the repositories of code that Cacti publicly shares on GitHub at this <a href="https://github.com/Cacti">link</a>, or to go specifically to the <a href="https://github.com/Cacti/cacti">Cacti source code</a>, <a href="https://github.com/Cacti/cacti/issues">issue tracker</a>, and <a href="https://github.com/Cacti/cacti/wiki">internal Wiki</a></p>
<h2 id="documentation-contributions">Documentation Contributions</h2>
<p>As with Code contributions, if you wish to enhance or correct an issue with the current documentation, create an issue with the details and then link the Pull Request to it.</p>
<p>Unlike the various standards for coding depending on the type of code you are attempting to contribute, there is only one set of <a href="Standards-Documentation.html">Documentation Standards</a> at this time. Please try to ensure that your code confirms to this, as there are strict checks in place which will fail your submission if it fails these standards.</p>
<hr />
<p><copy>Copyright (c) 2004-2021 The Cacti Group</copy></p>
</body>
</html>
